# Header
And More

## org.jfree.chart
Class ChartTransferable

    java.lang.Object
      org.jfree.chart.ChartTransferable

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

    public class ChartTransferable

extends java.lang.Object
implements java.awt.datatransfer.Transferable

A class used to represent a chart on the clipboard.

Since:
  1.0.13

Constructor Summary
`ChartTransferable(JFreeChart chart, int width, int height)` Creates a new chart selection.
`ChartTransferable(JFreeChart chart, int width, int height, boolean cloneData)` Creates a new chart selection.

Method Summary
`java.lang.Object` `getTransferData(java.awt.datatransfer.DataFlavor flavor)` Returns the content for the requested flavor, if it is supported.
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()` Returns the data flavors supported.
`boolean` `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)` Returns `true` if the specified flavor is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartTransferable

    public ChartTransferable(JFreeChart chart,
                             int width,
                             int height)

  Creates a new chart selection.

  Parameters:
    `chart` - the chart.
    `width` - the chart width.
    `height` - the chart height.

### ChartTransferable

    public ChartTransferable(JFreeChart chart,
                             int width,
                             int height,
                             boolean cloneData)

  Creates a new chart selection.

  Parameters:
    `chart` - the chart.
    `width` - the chart width.
    `height` - the chart height.
    `cloneData` - clone the dataset(s)?

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Returns the data flavors supported.

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`
  Returns:
    The data flavors supported.

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Returns `true` if the specified flavor is supported.

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `flavor` - the flavor.
  Returns:
    A boolean.

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Returns the content for the requested flavor, if it is supported.

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `flavor` - the requested flavor.
  Returns:
    The content.
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

# Footer
And More

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.